> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pick

> This endpoint gets a pick

### Body

<ParamField body="id" type="string">
  This is the unique identifier for the pick.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="date_created" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="bill_of_materials_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="location" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="pick_method" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="site" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="status" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="pick_line_items" type="string">
  This is the unique identifier for the pick

  <Expandable title="Show child attributes">
    <ResponseField name="id" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="part_name" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="part_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="pick_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="pick_plan" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="quantity_picked" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="quantity_to_pick" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="status" type="string">
      This is the unique identifier for the pick
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/picks' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1",
  }'
  ```

  ```graphQL GraphQL theme={null}

  query MyPicks {
    picks {
      id
      number
      date_created
      bill_of_materials_number
      location
      pick_method
      site
      status
      work_order_number
      pick_line_items {
        id
        part_name
        part_number
        pick_number
        pick_plan
        quantity_picked
        quantity_to_pick
        status
          }
      }
  }

  ```

  ```javascript Node.js theme={null}

  var picks = await stateset.picks.retreive({
      id: "1"
  });

  ```

  ```python Python theme={null}

  pickss = stateset.picks.retreive({
      "id": "1"
  })

  ```

  ```ruby Ruby theme={null}

  picks = Stateset::Picks.retreive({
      "id": "1"
  })

  ```

  ```php PHP theme={null}

  $picks = $stateset->picks->retreive([
      "id" => "1"
  ]);

  ```

  ```go Go theme={null}

  picks, err := stateset.Picks.Retreive("1")

  ```

  ```java Java theme={null}

  Picks picks = stateset.picks.retreive({
      "id": "1"
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "1",
      "number": "1",
      "date_created": "2021-01-01T00:00:00Z",
      "bill_of_materials_number": "1",
      "location": "1",
      "pick_method": "1",
      "site": "1",
      "status": "1",
      "work_order_number": "1",
      "pick_line_items": [
          {
              "id": "1",
              "part_name": "1",
              "part_number": "1",
              "pick_number": "1",
              "pick_plan": "1",
              "quantity_picked": "1",
              "quantity_to_pick": "1",
              "status": "1"
          }
      ]
  }
  ```
</ResponseExample>

## Picks
